# Please refer https://aka.ms/HTTPSinContainer on how to setup an https developer certificate for your ASP.NET Core service.

services:
  profile-picture-validation:
    build:
      context: .
      args:
        - configuration=Debug
    container_name: profile-picture-validation
    ports:
      - 8001:8080
    environment:
      ASPNETCORE_ENVIRONMENT: Development
      GOOGLE_APPLICATION_CREDENTIALS: /app/google-cloud-credentials-visionAI.json
      ProfilePictureOutput__OutputUrl: http://profile-picture-data-store:8080/v1/profilePicture
    volumes:
      - ~/.vsdbg:/remote_debugger:rw
      - ./google-cloud-credentials-visionAI.json:/app/google-cloud-credentials-visionAI.json:ro

  profile-picture-data-store:
    build:
      context: ../ProfilePictureDataStore
      args:
        - configuration=Debug
    container_name: profile-picture-data-store
    environment:
      ASPNETCORE_ENVIRONMENT: Development
      GoogleCloudStorage__AuthFileLocation: /app/google-cloud-credentials-bucket.json
      GoogleCloudStorage__BucketName: m321-infa3a-timo
      GoogleCloudStorage__SignedUrlValidityInSeconds: 60
      ConnectionStrings__ProfilePictureMySql: Server=profile-picture-data-store-db;Database=profilepicture;Uid=gibzapp;Pwd=password
      EmailNotification__EmailServiceEndpoint: http://email-notification:8080/v1/message
      Authentication__Schemes__Bearer__SigningKeys__0__Issuer: dotnet-user-jwts
      Authentication__Schemes__Bearer__SigningKeys__0__Value: yJE9u+3AxIaw8ZII/ZpB3hxXOltR10PTwo/cuSbvTys=
      TZ: Europe/Zurich
    volumes:
      - ~/.vsdbg:/remote_debugger:rw
      - ./google-cloud-credentials-bucket.json:/app/google-cloud-credentials-bucket.json:ro
    ports:
      - 8002:8080
    depends_on:
      - profile-picture-data-store-db

  email-notification:
    build:
      context: ../EmailNotification
      args:
        - configuration=Debug
    container_name: email-notification
    environment:
      ASPNETCORE_ENVIRONMENT: Development
      ConnectionStrings__EmailNotificationMySql: Server=email-notification-db;Database=emailnotification;Uid=gibzapp;Password=password
      FixDebuggingRecipientAddress: 
    volumes:
      - ~/.vsdbg:/remote_debugger:rw
    ports:
      - 8003:8080

  profile-picture-data-store-db:
    image: mysql
    container_name: profile-picture-data-store-db
    restart: always
    volumes:
      - db-data-profile-picture-data-store:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_USER: gibzapp
      MYSQL_PASSWORD: password
      MYSQL_DATABASE: profilepicture
    ports:
      - 13306:3306

  email-notification-db:
    image: mysql
    container_name: email-notification-db
    restart: always
    volumes:
      - db-data-email-notification:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_USER: gibzapp
      MYSQL_PASSWORD: password
      MYSQL_DATABASE: emailnotification
    ports:
      - 13307:3306

volumes:
  db-data-profile-picture-data-store:
  db-data-email-notification:
